Package Gnumed :: Package timelinelib :: Module application :: Class TimelineApplication |
[frames] | no frames]

# Class TimelineApplication

source code

    object --+
             |
            TimelineApplication

Instance Methods
__init__(self, main_frame, db_open_fn, config) x.__init__(...) initializes x; see x.__class__.__doc__ for signature | source code
on_started(self, application_arguments) | source code
open_timeline(self, path) | source code
set_no_timeline(self) | source code
on_play_clicked(self) | source code
Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, main_frame, db_open_fn, config) (Constructor) | source code
x.__init__(...) initializes x; see x.__class__.__doc__ for signature Overrides: object.__init__ (inherited documentation)